function RES=moment4(ARG)
% Нахождение четвертого момента (по строкам) (пока для ранжированного ряда или несгруппированных данных)
% Вход  : ARG - ряд или матрица
% Выход : RES - значение или столбик значений, рассчитанных для строк
% Зависимость : middleArith (среднее арифметическое)

[m,n]=size(ARG);

MA=middleArith(ARG);
for i=1:m
    TEMP=ARG(i,:)-MA(i,1);
    TEMP4=TEMP.*TEMP;
    TEMP4=TEMP4.*TEMP4;
    RES(i,1)=sum(TEMP4)/n;
end